// -*- coding: utf-8 -*-
// Pitch Black - M-344/G
// ~ 21 Years
// JackDole
// 2016.08.14 18:39:07

// SE 0.980

Barycenter  "Raven A/M-344-G A"
{
    ParentBody  "M-344-G"
    
    MassSol     3.0
    
    Orbit
    {
        Epoch           2455563
        Period          7
        Eccentricity    0.03        //0.1
        Inclination     -0.9
        AscendingNode   0
        ArgOfPericenter 180
        MeanAnomaly     0
        RefPlane       "Ecliptic"
    }
}

Star    "Bluebell/Raven B/M-344-G B"
{
    ParentBody  "M-344-G"
    Class       "A3 V"
    
    RadSol      0.62339
    MassSol     3
    
    AbsMagn     4.3
    Age         2.662565

    Orbit
    {
        Epoch           2455563
        Period          7
        Eccentricity    0.03
        Inclination     -0.9
        AscendingNode   0
        ArgOfPericenter 0
        MeanAnomaly     0
        RefPlane       "Ecliptic"
    }
}

//------------------------------------------------------------------------------
Star    "Amber/Raven Aa/M-344-G Aa"
{
    ParentBody  "M-344-G A"
    Class       "G3 V"
    
    RadSol      0.80995
    MassSol     1.0     //0.9999999
    
    AbsMagn     5.51
    Age         2.662565

    Orbit
    {
        Epoch           2455563
        Period          0.007
        Eccentricity    0.07        //0.176
        Inclination     0.2
        AscendingNode   0
        ArgOfPericenter 0
        MeanAnomaly     0
        RefPlane       "Ecliptic"
    }
}

Star    "Ginger/Raven Ab/M-344-G Ab"
{
    ParentBody  "M-344-G A"
    Class       "M9 V"
    
    RadSol      0.30755
    MassSol     2
    
    AbsMagn     12.09
    Age         2.662565

    Orbit
    {
        Epoch           2455563
        Period          0.007
        Eccentricity    0.07
        Inclination     0.2
        AscendingNode   0
        ArgOfPericenter 180
        MeanAnomaly     0
        RefPlane       "Ecliptic"
    }
}

//------------------------------------------------------------------------------
Planet  "Mask"
{
    ParentBody     "M-344-G"
    Class           "GasGiant"
    
    Mass            40.00956
    Radius          162984
    
    RotationPeriod  32.67632
    Oblateness      0.0
    
    Albedo          0.5
    Brightness      2
    Color          (0.440 0.451 0.695)

    Surface
    {
        SurfStyle       0.64897
        Randomize      (-0.141, 0.094, 0.175)
        detailScale     419204
        colorConversion true
        tropicLatitude  0.695478
        icecapLatitude  1
        craterOctaves   0
        volcanoActivity 0
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        stripeZones     8.88801
        stripeFluct     0.376708
        stripeTwist     11.8025
        cycloneMagn     13.5088
        cycloneFreq     0.692172
        cycloneDensity  0.319996
        cycloneOctaves  1
        colorLayer0    (0.620, 0.550, 0.430, 1.000)
        colorLayer1    (0.710, 0.630, 0.480, 1.000)
        colorLayer2    (0.490, 0.400, 0.310, 1.000)
        colorLayer3    (0.720, 0.710, 0.500, 1.000)
        colorLayer4    (0.640, 0.520, 0.350, 1.000)
        colorLayer5    (0.490, 0.400, 0.310, 1.000)
        colorLayer6    (0.560, 0.460, 0.340, 1.000)
        colorLayer7    (0.560, 0.460, 0.340, 1.000)
        colorLowPlants (0.640, 0.520, 0.350, 1.000)
        colorUpPlants  (0.490, 0.400, 0.310, 1.000)
        BumpHeight      20
        SpecularPower   55
        Hapke           0
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      1
        ModulateColor  (0.000 0.000 0.000 0.000)
    }

    Clouds
    {
        Height          663.938
        Velocity        742.833
        BumpHeight      65.5458
        Hapke           0
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      1
        mainFreq        0.94223
        mainOctaves     12
        Coverage        0.564114
        stripeZones     8.88801
        stripeFluct     0.376708
        stripeTwist     11.8025
    }

    NoOcean         true
    NoLava          true

    Atmosphere
    {
        Model          "Neptune"
        Height          1629.84
        Density         179.788
        Pressure        1185.47
        Bright          10
        Opacity         1
        SkyLight        3.33333
        Hue             0
        Saturation      1

        Composition
        {
            CH4   	79.6809
            N2    	9.08115
            NH3   	6.94173
            O2    	2.07404
            C2H2  	1.03524
            C2H4  	0.421033
            Ne    	0.30311
            Ar    	0.210683
            C2H6  	0.156504
            C3H8  	0.0945385
            CO2   	0.000475657
            H2S   	0.000422656
            Kr    	0.000111624
            Xe    	1.29275e-005
        }
    }

    Aurora
    {
        Height      2218.43
        NorthLat    57.4302
        NorthLon    -107.845
        NorthRadius 51736.5
        NorthWidth  15362.4
        NorthRings  5
        NorthBright 1
        NorthParticles 10000
        SouthLat    -50.2824
        SouthLon    71.3716
        SouthRadius 30599.6
        SouthWidth  4480.52
        SouthRings  4
        SouthBright 1
        SouthParticles 10000
        TopColor    (1.000 1.000 1.000)
        BottomColor (1.000 0.000 0.500)
    }

    NoRings         true
    NoAccretionDisk true
    NoCometTail     true
    
    Orbit
    {
        Epoch           2455563
        Period          0.67741935483870967742	//0.65625
        Eccentricity    0
        Inclination     45
        AscendingNode   0
        ArgOfPericenter 0
        MeanAnomaly     0
        RefPlane       "Ecliptic"
    }
}

//------------------------------------------------------------------------------
Planet  "Tar/M6-117"
{
    ParentBody  "M-344-G"
    Class       "Desert"
    
    Mass        0.8391431
    Radius      6378.14
    
    RotationPeriod  17.29032
    Albedo          0.3
    
    Life
    {
        Class   "Organic"
        Type    "Multicellular"
        Biome   "Terrestrial"
    }

    Atmosphere
    {
        Model          "Earth"
        Height          94.66522
        Density         4.641589
        Pressure        1.29155
        Greenhouse      61.73
        Bright          7.619048
        Opacity         0.4444444
        SkyLight        2.301587
        
        Composition
        {
            N2  65.3026436597
            O2  33.6727854302
            Ar  0.331801130366
            H2O 0.303021579922
            CO2 0.389748199755
        }
    }
    
    NoRings true
    
    Orbit
    {
        Epoch           2455563
        Period          0.7
        Eccentricity    0
        Inclination     0.0001
        AscendingNode   0
        ArgOfPericenter 0
        MeanAnomaly     0
        RefPlane       "Ecliptic"
    }
}

Moon    "Drop"
{
    ParentBody  "Tar"
    Class       "Selena"

    Mass        0.01696488
    Radius      1737.53
    
    Albedo      0.12

    NoRings true
    
    Orbit
    {
        Epoch           2455563
        Period          0.08108426
        Eccentricity    0.0549
        Inclination     5.15
        AscendingNode   90
        ArgOfPericenter 20.534
        MeanAnomaly     -20.534
        RefPlane       "Equator"
    }
}

//------------------------------------------------------------------------------
Planet "Fence"
{
    ParentBody  "M-344-G"
    Class       "GasGiant"
    
    Mass        54.92158
    Radius      181136
    
    Oblateness      0.0
    Obliquity       51.42856
    EqAscendNode    11.42856
    Precession      25592

    
    Albedo          0.5
    Brightness      2
    Color          (0.146 0.133 0.132)

    Surface
    {
        SurfStyle       0.510771
        Randomize      (-0.434, -0.222, -0.437)
        detailScale     465892
        colorConversion true
        tropicLatitude  0.851028
        icecapLatitude  1
        craterOctaves   0
        volcanoActivity 0
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        stripeZones     3.23433
        stripeFluct     0.472395
        stripeTwist     8.88872
        cycloneMagn     9.37269
        cycloneFreq     1.01197
        cycloneDensity  0.239741
        cycloneOctaves  0
        colorLayer0    (0.570, 0.550, 0.480, 1.000)
        colorLayer1    (0.850, 0.860, 0.870, 1.000)
        colorLayer2    (0.450, 0.390, 0.260, 1.000)
        colorLayer3    (0.430, 0.330, 0.170, 1.000)
        colorLayer4    (0.830, 0.830, 0.830, 1.000)
        colorLayer5    (0.510, 0.400, 0.140, 1.000)
        colorLayer6    (0.370, 0.350, 0.280, 1.000)
        colorLayer7    (0.420, 0.390, 0.310, 1.000)
        colorLowPlants (0.830, 0.830, 0.830, 1.000)
        colorUpPlants  (0.510, 0.400, 0.140, 1.000)
        BumpHeight      20
        SpecularPower   55
        Hapke           0
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      1
        ModulateColor  (0.000 0.000 0.000 0.000)
    }

    Clouds
    {
        Height          736.547
        Velocity        278.744
        BumpHeight      50.5908
        Hapke           0
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      1
        mainFreq        0.777009
        mainOctaves     12
        Coverage        0.493942
        stripeZones     3.23433
        stripeFluct     0.472395
        stripeTwist     8.88872
    }

    NoOcean         true
    NoLava          true

    Atmosphere
    {
        Model          "Jupiter"
        Height          1811.36
        Density         80.9768
        Pressure        2456.74
        Bright          10
        Opacity         1
        SkyLight        3.33333
        Hue             0
        Saturation      1

        Composition
        {
            He    	94.0664
            CH4   	4.76737
            N2    	0.540155
            NH3   	0.37079
            O2    	0.136177
            C2H2  	0.0556776
            Ne    	0.0192292
            C2H4  	0.0187888
            Ar    	0.0119052
            C2H6  	0.00856677
            C3H8  	0.00483037
            H2S   	2.98912e-005
            CO2   	2.28819e-005
        }
    }

    Aurora
    {
        Height      2007.94
        NorthLat    64.4496
        NorthLon    22.8308
        NorthRadius 48405.4
        NorthWidth  11278
        NorthRings  4
        NorthBright 1
        NorthParticles 0
        SouthLat    -64.3942
        SouthLon    209.967
        SouthRadius 35924.7
        SouthWidth  11960.5
        SouthRings  3
        SouthBright 1
        SouthParticles 0
        TopColor    (1.000 1.000 1.000)
        BottomColor (1.000 0.000 0.500)
    }

    Rings
    {
        InnerRadius     182136
        OuterRadius     488040
        RotationPeriod  27.1962
        RotationOffset  242.43
        FrontBright     1.25
        BackBright      1.25
        Density         2.5
        Brightness      1
    }

    NoAccretionDisk true
    NoCometTail     true
    
    Orbit
    {
        Epoch           2455563
        Period          0.72413793103448275862
        Eccentricity    0
        Inclination     15
        AscendingNode   0
        ArgOfPericenter 0
        MeanAnomaly     0
        RefPlane       "Ecliptic"
    }
}

Moon "Fence Ring 2"
{
    ParentBody  "Fence"
    Class       "Selena"

    Mass        5.72902e-007
    Radius      50
    
    //RotationPeriod  6347.66
    Obliquity       0
    EqAscendNode    0
    //Precession      0.724139

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (1.000 0.881 0.429)

    NoClouds        true
    NoOcean         true
    NoLava          true
    NoAtmosphere    true
    NoAurora        true

    Rings
    {
        InnerRadius     182136
        OuterRadius     408140
        RotationPeriod  27.1962
        RotationOffset  242.4295
        FrontBright     1
        BackBright      1
        Density         1
        Exposure        1
    }
    
    NoAccretionDisk true
    NoCometTail     true
    NoLighting      true
    
    FixedPosPolar  (0.0 90.0 30000.0)
}

Moon "Fence Ring 3"
{
    ParentBody  "Fence"
    Class       "Selena"

    Mass        5.72902e-007
    Radius      50
    
    //RotationPeriod  6347.66
    Obliquity       0
    EqAscendNode    0
    //Precession      0.724139

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      3.5
    Color          (1.000 0.487 0.282)

    NoClouds        true
    NoOcean         true
    NoLava          true
    NoAtmosphere    true
    NoAurora        true

    Rings
    {
        InnerRadius     182136
        OuterRadius     408140
        RotationPeriod  27.1962
        RotationOffset  242.43
        FrontBright     1
        BackBright      1
        Density         1
        Brightness      2.6
    }

    NoAccretionDisk true
    NoCometTail     true
    NoLighting      true
    
    FixedPosPolar  (0.0 -90.0 30000.0)
}

//------------------------------------------------------------------------------
